Upstream information

CVE-2008-5008 at MITRE

Description

Buffer overflow in src/src_sinc.c in Secret Rabbit Code (aka SRC or libsamplerate) before 0.1.4, when "extreme low conversion ratios" are used, allows user-assisted attackers to have an unknown impact via a crafted audio file.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having critical severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 9.3
Vector AV:N/AC:M/Au:N/C:C/I:C/A:C
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Complete
Integrity Impact Complete
Availability Impact Complete
SUSE Bugzilla entry: 443794 [RESOLVED / FIXED]

No SUSE Security Announcements cross referenced.

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Server 11 SP1
  • libsamplerate >= 0.1.4-1.15
  • libsamplerate-32bit >= 0.1.4-1.15
  • libsamplerate-x86 >= 0.1.4-1.15
Patchnames:
SUSE Linux Enterprise Server 11 SP1 GA libsamplerate
SUSE Linux Enterprise Server 11 SP2
  • libsamplerate >= 0.1.4-1.15
  • libsamplerate-32bit >= 0.1.4-1.15
  • libsamplerate-x86 >= 0.1.4-1.15
Patchnames:
SUSE Linux Enterprise Server 11 SP2 GA libsamplerate
SUSE Linux Enterprise Server 11 SP3
  • libsamplerate >= 0.1.4-1.15
  • libsamplerate-32bit >= 0.1.4-1.15
  • libsamplerate-x86 >= 0.1.4-1.15
Patchnames:
SUSE Linux Enterprise Server 11 SP3 GA libsamplerate
SUSE Linux Enterprise Server 11 SP4
  • libsamplerate >= 0.1.4-1.15
  • libsamplerate-32bit >= 0.1.4-1.15
  • libsamplerate-x86 >= 0.1.4-1.15
Patchnames:
SUSE Linux Enterprise Server 11 SP4 GA libsamplerate
SUSE Linux Enterprise Software Development Kit 11 SP4
  • libsamplerate-devel >= 0.1.4-1.15
Patchnames:
SUSE Linux Enterprise Software Development Kit 11 SP4 GA libsamplerate-devel